[Overview][Constants][Types][Classes][Procedures and functions][Index] | Reference for unit 'EditBtn' (#lcl)

# TFileNameEdit.Create

Constructor for the class instance.

## Declaration

Source position: editbtn.pas line 393

`public constructor TFileNameEdit.Create(`
`AOwner: TComponent`
`); override;`

## Arguments

`AOwner` |  | Owner of the class instance.

## Description

Create is the overridden constructor for the class instance, and calls the inherited constructor. Create allocates resource needed for the DialogFiles property, and sets the default values for the DialogKind and DialogOptions properties.

## See also

TFileNameEdit.DialogFiles |  | DialogFiles is the list of files for the dialog.
TFileNameEdit.DialogKind |  | Determines the dialog type executed when the Button in the control is clicked.
TFileNameEdit.DialogOptions |  | DialogOptions - set of options enabled for the file open dialog.
TCustomEditButton.Create |  | Constructor for the class instance.